## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check

%global crate ffsend

Name:           rust-ffsend
Version:        0.2.76
Release:        %autorelease
Summary:        Easily and securely share files from the command line

License:        GPL-3.0
URL:            https://crates.io/crates/ffsend
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Automatically generated patch to strip foreign dependencies
Patch:          ffsend-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * use OpenSSL for crypto by default
# * drop ring dependency and features (not available on all architectures)
Patch:          ffsend-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Easily and securely share files from the command line. A fully featured Send
client.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# * (ASL 2.0 or MIT) and BSD
# * 0BSD or MIT or ASL 2.0
# * ASL 2.0
# * ASL 2.0 or Boost
# * ASL 2.0 or MIT
# * BSD
# * GPLv3
# * MIT
# * MIT or ASL 2.0
# * MIT or ASL 2.0 or zlib
# * MIT or zlib or ASL 2.0
# * MPLv2.0
# * Unlicense or MIT
# * zlib or ASL 2.0 or MIT
License:        GPLv3 and ASL 2.0 and BSD and MIT and MPLv2.0
# LICENSE.dependencies contains a full license breakdown

Recommends:     xsel

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/ffsend
%{_bindir}/ffput
%{_bindir}/ffget
%{_bindir}/ffdel
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/ffsend.bash
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/ffsend.fish
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_ffsend

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
for t in ffput ffget ffdel; do
  ln -s ffsend %{buildroot}%{_bindir}/$t
done
%{buildroot}%{_bindir}/ffsend generate completions bash fish zsh
install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  ffsend.bash
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_completions.d \
  ffsend.fish
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  _ffsend

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Aug 06 2022 Fabio Valentini <decathorpe@gmail.com> 0.2.76-2
- Rebuild with websocket 0.26.5 for CVE-2022-35922 / RUSTSEC-2022-0035

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> 0.2.76-1
- Update to version 0.2.76; Fixes RHBZ#1999129

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.71-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Feb 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.2.71-5
- Bump version-compare from 0.0.11 to 0.1.0.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.71-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 0.2.71-3
- Rebuilt with OpenSSL 3.0.0

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.71-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 20 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.71-1
- Update to version 0.2.71.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.68-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:30:20 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.68-2
- Rebuild

* Tue Dec 15 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.68-1
- Update to version 0.2.68.

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.65-1
- Update to version 0.2.65.

* Sun Aug 16 15:01:27 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.64-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.64-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.64-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 17 19:05:53 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.64-1
- Update to 0.2.64

* Sun May 17 18:48:02 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.63-1
- Update to 0.2.63

* Mon May 11 2020 Josh Stone <jistone@redhat.com> - 0.2.61-1
- Update to 0.2.61

* Mon May 11 2020 Josh Stone <jistone@redhat.com> - 0.2.60-1
- Update to 0.2.60

* Sun May 10 14:58:45 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.59-2
- Update qr2term to 0.2

* Wed Apr 01 2020 Josh Stone <jistone@redhat.com> - 0.2.59-1
- Update to 0.2.59

* Fri Mar 06 2020 Josh Stone <jistone@redhat.com> - 0.2.58-4
- Update to urlshortener 3

* Sun Feb 16 11:31:40 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.58-3
- Update ffsend-api to 0.5

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.2.58-1
- Update to 0.2.58

* Thu Dec 05 15:35:44 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.57-1
- Update to 0.2.57
- Add completions

* Thu Dec 05 14:25:19 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.56-1
- Update to 0.2.56

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.49-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 30 12:11:38 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.49-1
- Update to 0.2.49

* Sat Jun 22 13:13:06 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.48-1
- Update to 0.2.48

* Fri May 31 2019 Josh Stone <jistone@redhat.com> - 0.2.46-2
- Fix symlinks to ffsend

* Sat May 04 21:34:29 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.46-1
- Update to 0.2.46

* Fri Apr 19 08:17:44 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.45-1
- Update to 0.2.45

* Sat Apr 06 11:08:58 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.44-1
- Update to 0.2.44

* Tue Apr 02 2019 Josh Stone <jistone@redhat.com> - 0.2.43-1
- Update to 0.2.43

* Wed Mar 27 10:57:05 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.42-1
- Update to 0.2.42

* Sat Mar 23 20:08:56 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.39-1
- Update to 0.2.39

* Wed Mar 20 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.38-2
- Drop unneeded BuildRequires

* Wed Mar 20 2019 Josh Stone <jistone@redhat.com> - 0.2.38-1
- Update to 0.2.38

* Tue Mar 19 21:58:14 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.37-1
- Update to 0.2.37

* Sun Mar 17 22:33:08 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.36-1
- Update to 0.2.36

* Sat Mar 16 18:08:50 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.34-1
- Update to 0.2.34

* Fri Mar 15 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.33-1
- Update to 0.2.33

* Thu Mar 14 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.30-1
- Initial package

